View Issue Details

IDProjectCategoryView StatusLast Update
0017686CentOS-7shim-x64public2020-08-28 13:08
ReporterRPCarter 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
PlatformMac Mini 2014OSCentos 7OS Version3.10.0-1127.18.2
Product Version7.8-2003 
Target VersionFixed in Version 
Summary0017686: Old hardware UEFI, on 7.8.2003 upgrade to latest release today, unbootable (as 0017631)
DescriptionThis appears to be similar to a previous bug/issue with mokutil + shim packages and as raised in issue 001763. The issue hower is not fixed with the latest shim and mokutils (releases 15-8.el7).

See: https://bugs.centos.org/view.php?id=15522

The work-around back then was straight-forward:
download last-known-working-with-reboot shim and mokutil packages, then force-downgrade install and reboots worked again.

This same work-around appears to work the same way.

System was upgraded to all updates for CentOS Linux release 7.8.2003

One or both of these packages provided in 7.8.2003 appear to cause problems with older hardware set to boot with UEFI:
 * mokutil-15-7.el7_9.x86_64
 * shim-x64-15-7.el7_9.x86_64

Breaks reboot on old hardware set to use UEFI boot.
Works fine on new hardware set to use UEFI boot.

For broken hardware, a work-around to make bootable again:
 * Use DRAC with virtual media, remote boot ISO, rescue, shell, "bind" mount {/dev, /proc, /sys, /run to original volume root}, chroot to original volume root, assign IP to interface, configure /etc/resolv.conf, then
 * wget http://mirror.centos.org/centos/7/os/x86_64/Packages/mokutil-15-2.el7.centos.x86_64.rpm
 * wget http://mirror.centos.org/centos/7/os/x86_64/Packages/shim-x64-15-2.el7.centos.x86_64.rpm
 * rpm --force -U mokutil-15-2.el7.centos.x86_64.rpm shim-x64-15-2.el7.centos.x86_64.rpm
 * exit chroot, umount all "bind" mounts, reboot server, and once again this older hardware using UEFI can reboot. to CentOS.

After reboot, login and you can still see:
$ cat /etc/centos-release
CentOS Linux release 7.8.2003 (Core)

But it at least boots.

Further workaround, blacklist those 2 packages from getting upgraded with future yum calls (and periodically check to see if issue is fixed so you can disable the block for upgrade), or keep around those same 2 RPM and be ready to replace them any time you upgrade in the future until bug is fixed in new package version.
Steps To Reproduceyum -u update
System fails to reboot.
Tagsfailed, mokutils, reboot, shim
abrt_hash
URL

Activities

toracat

toracat

2020-08-24 23:28

manager   ~0037586

Please update the system to the latest. The following packages are current as of Aug 2020:

shim-x64-15-8.el7.x86_64
mokutil-15-8.el7.x86_64
RPCarter

RPCarter

2020-08-25 06:38

reporter   ~0037587

I did this yesterday before raising the issue. It is these two package versions that cause my system to fail to boot.
RPCarter

RPCarter

2020-08-28 10:54

reporter   ~0037605

Any thoughts on this issue? My system still fails with the version below.
shim-x64-15-8.el7.x86_64
mokutil-15-8.el7.x86_64
ManuelWolfshant

ManuelWolfshant

2020-08-28 13:08

manager   ~0037606

Unfortunately there is nothing that we can do for you here. Please follow https://access.redhat.com/solutions/5272311 and https://bugzilla.redhat.com/show_bug.cgi?id=1862045

Issue History

Date Modified Username Field Change
2020-08-24 13:38 RPCarter New Issue
2020-08-24 13:38 RPCarter Tag Attached: failed
2020-08-24 13:38 RPCarter Tag Attached: reboot
2020-08-24 13:38 RPCarter Tag Attached: mokutils
2020-08-24 13:38 RPCarter Tag Attached: shim
2020-08-24 23:28 toracat Note Added: 0037586
2020-08-24 23:33 toracat Category shim => shim-x64
2020-08-25 06:38 RPCarter Note Added: 0037587
2020-08-28 10:54 RPCarter Note Added: 0037605
2020-08-28 13:08 ManuelWolfshant Note Added: 0037606